Name: scmxx
Version: 0.6.3.8
Release: alt1

Epoch: 20030703

%define dlurl http://ma2geo.mathematik.uni-karlsruhe.de/~hendrik/scmxx/download

Summary: Exchange data with Siemens mobile phones
License: GPL
Group: Communications

Url: http://www.hendrik-sattler.de/scmxx
Source0: %dlurl/%name-%version.tar.bz2
Source1: %dlurl/extra/scm2tex.pl.txt
Source2: scmxx.1.ru

Patch: scmxx-0.6.3.3-retval.asp.patch

Autoreq: yes, noperl

Summary(ru_RU.KOI8-R):        Siemens
Summary(uk_UA.KOI8-U): ̦  ͦ   ¦  Siemens

%description
SCMxx is a console program that allows you to exchange certain types of
data with mobile phones made by Siemens. Some of the data types that can
be exchanged are logos, ring tones, vCalendars, phonebook entries, and
SMS messages.

It works with the following models:
 S25,
 S35i, M35i and C35i,
 SL4x, S45, ME45 and C45
and probably others.

It basically uses the AT command set published by Siemens
(with some other, additional resources).

%description -l ru_RU.KOI8-R
SCMxx --         
  Siemens.    : , ,
,   , SMS.

 :
 S25,
 S35i, M35i  C35i,
 SL4x, S45, ME45  C45
, , .

    AT-,  Siemens.

%description -l uk_UA.KOI8-U
SCMxx --    ͦ     ¦
  Siemens.  ˦  : , Ħ,
,   Φ æ, SMS.

 :
 S25,
 S35i, M35i  C35i,
 SL4x, S45, ME45  C45
, , .

 צ  ¦ AT-, ̦ Siemens.

%prep
%setup -q
%patch0 -p1 -b .retval

%build
%configure
%make_build

%install
# hackaround :-/
mkdir %buildroot
%makeinstall
install -pD -m755 %SOURCE1 contrib/scm2tex.pl
install -pD -m644 %SOURCE2 %buildroot%_mandir/ru/man1/scmxx.1

%files
%doc contrib/ BUGS README TODO AUTHORS CHANGELOG examples docs/*.txt
%_bindir/*
%_man1dir/*

%changelog
* Thu Jul 03 2003 Michael Shigorin <mike@altlinux.ru> 20030703:0.6.3.8-alt1
- 0.6.3.8 appears to be 'newer and better' than 0.6.4rc
- added retval patch and Russian manpage from ASPLinux
  (thanks to Andy Shevchenko)
- scm2tex.pl put to doc/contrib.  Hmm... may be controversial :)

* Wed Mar 26 2003 Michael Shigorin <mike@altlinux.ru> 0.6.4-alt0.4
- 0.6.4-rc4

* Sat Mar 01 2003 Michael Shigorin <mike@altlinux.ru> 0.6.3.3-alt0.1
- built for ALT Linux

* Mon Nov 18 2002 Hendrik Sattler <post@hendrik-sattler.de>
- added manpage to package

* Sat Jul 1 2002 Hendrik Sattler <post@hendrik-sattler.de>
- changed defattr, so dirs get their x-flag

* Sat May 14 2002 Hendrik Sattler <post@hendrik-sattler.de>
- extensive usage of environment variables in the spec file
- moved/renamed files in docdir

* Sat Feb 9 2002 Petr Kritof <Petr@Kristof.cz>
- RPM spec update

* Sat Nov 17 2001 Hendrik Sattler <post@hendrik-sattler.de>
- Initial RPM release
